Ubuntu

Comment 13 for bug 738213

Barry Warsaw (barry) wrote :

The question is: what should we do about this upstream?

From the mercurial repo, the following modules fail to build in 2.7:

_bsddb
_sqlite3
bsddb185 (don't care)
dbm
dl
gdbm
imageop (don't care)
sunaudiodev (don't care)
zlib

I don't know if it would be acceptable to include the dpkg-architecture call in upstream, though definitely not as given in deb-setup.diff (since that's too platform specific). I also don't know how far back we can or should fix upstream.